PETSc version 3.17.4
Fix/Edit manual page

# DMSNESComputeJacobianAction

Compute the action of the Jacobian J(X) on Y

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESComputeJacobianAction(DM dm, Vec X, Vec Y, Vec F, void *user)

### Input Parameters

| dm | - The DM
| X | - Local solution vector
| Y | - Local input vector
| user | - The user context

### Output Parameter

| F | - lcoal output vector

### Notes

Users will typically use DMSNESCreateJacobianMF() followed by MatMult() instead of calling this routine directly.

### See Also

DMSNESCreateJacobianMF(), DMPlexSNESComputeResidualFEM()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages